Get

[POST] .../v1/item/get

Returns item information. Use this method to retrieve catalog items for product lists, integrations and item selection workflows. The response returns paged Item records with next_offset and total and supports filters, limit and offset according to the public request schema. The caller must have item select permission; business errors such as a missing request body, denied access, invalid filter data or persistent storage errors are returned as HTTP 200 ErrorResult.

Request Parameters

Name Type Required Description
filters Array of Filter Optional Optional filters by fields available for this API method.
limit Int32 Optional Maximum number of returned items.
offset Int32 Optional Offset from the beginning of the result set.

Filterable Fields

Field Type Description
articul string
assemblable bool Whether the item can be produced.
codes int Item codes.
comission_tin string
compound bool Whether the item is compound.
deleted_mark bool Deletion mark.
department_ids int Department IDs.
disassemblable bool Whether the item can be disassembled.
group_ids int Item group IDs.
has_child bool Whether the item has child items.
has_image bool
icps string
ids int Item IDs.
is_labeled bool Whether the item is subject to labeling.
last_purchase_cost decimal
min_quantity decimal
package_code string
parent_ids int Parent item IDs.
partner_id int
price decimal
price_type_id int
quantity.allowed decimal
quantity.booked decimal
quantity.common decimal
stock_id int
type string Item type: Item - item, Service - service.
zero_price bool
zero_quantity bool

Request Example

{
  "filters": [
    {
      "Field": "articul",
      "Operator": "Equal",
      "Value": "string"
    }
  ],
  "limit": 1,
  "offset": 1
}

Response Parameters

Name Type Description
next_offset Int32 Offset for the next data page.
ok Boolean Indicates whether the request completed successfully.
result Array of Item Result array.
total Int64 Total number of result items.

Response Example

{
  "next_offset": 1,
  "ok": true,
  "result": [
    {
      "articul": "string",
      "assemblable": true,
      "barcode_list": "string",
      "base_barcode": "string",
      "brand": {
        "id": 1,
        "last_update": 1,
        "name": "string"
      },
      "code": 1,
      "color": {
        "id": 1,
        "last_update": 1,
        "name": "string"
      },
      "comission_tin": "string",
      "compound": true,
      "country": {
        "alfa2": "string",
        "alfa3": "string",
        "code": "string",
        "fullname": "string",
        "id": 1,
        "last_update": 1,
        "name": "string"
      },
      "deleted_mark": true,
      "department": {
        "id": 1,
        "last_update": 1,
        "name": "string"
      },
      "description": "string",
      "disassemblable": true,
      "fields": [
        {
          "data_type": "string",
          "is_custom": true,
          "key": "string",
          "metadata": "string",
          "name": "string",
          "required": true,
          "value": "string"
        }
      ],
      "fullname": "string",
      "group": {
        "child_count": 1,
        "id": 1,
        "last_update": 1,
        "name": "string",
        "parent_id": 1,
        "path": "string"
      },
      "has_child": true,
      "icps": "string",
      "id": 1,
      "image_url": "string",
      "is_labeled": true,
      "last_update": 1,
      "min_quantity": 1,
      "name": "string",
      "origin": "BuyingAndSelling",
      "package_code": "string",
      "parent_id": 1,
      "partner_id": 1,
      "producer": {
        "id": 1,
        "last_update": 1,
        "name": "string"
      },
      "size": {
        "id": 1,
        "last_update": 1,
        "name": "string"
      },
      "type": "Item",
      "unit": {
        "description": "string",
        "id": 1,
        "last_update": 1,
        "name": "string",
        "type": "non_pcs"
      },
      "vat": {
        "enabled": true,
        "id": 1,
        "last_update": 1,
        "name": "string",
        "value": 1.0
      }
    }
  ],
  "total": 1
}